Parameters: 
  BucketName: 
    Type: String
    Description: 'Please provide the bucket name'
Resources:
  AWSDojoBucket:
    Type: 'AWS::S3::Bucket'
    Properties:
      BucketName: !Join 
        - '-'
        - - !Ref 'BucketName'
          - !Ref 'AWS::AccountId'